EDIT - bug #4573

Handle duplicate username, group or grantedAuthority correctly
12/15/2014 05:33 PM - Andreas Miiller

Status: Closed Start date:

Priority: Priority13 Due date:

Assignee: Katja Luther % Done: 100%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 5.3

Severity: normal Found in Version:

Description

Since 3.4 it is not allowed to create users, groups or GrantedAuthorities with non-unique username, groupname or GrantedAuthority.
If you do so, however, you only get an "unexpected error exception" when trying to save the new record.

Wanted behavior is to not allow to create a duplicate name at all. But atleast the error handling should be more specific.

Associated revisions

Revision 9122a3ce - 08/21/2018 12:25 PM - Katja Luther

ref #4573: handle duplicate user and group name in editor

Revision bb5d8aed - 08/21/2018 12:44 PM - Katja Luther
ref #4573: handle duplicate grantedAuthority in editor

History

#1 - 03/16/2015 05:32 PM - Cherian Mathew

- Target version deleted ()

Moving tickets that were auto assigned to me to the unassigned milestone

#2 - 06/17/2015 11:51 AM - Andreas Miiller
- Target version deleted ()

- Priority changed from New to Priority13

#3 - 05/12/2018 08:01 PM - Andreas Miiller

- Description updated

- Status changed from New to In Progress

- Assignee changed from Cherian Mathew to Katja Luther

- Target version changed from Reviewed Next Major Release to Release 5.1

This seems to be partly fixed as a message saying that the user exists already in the DB pops up. Unfortunately a second message pops up with the
old "unexpected exception" message. We still need to remove this.

Please do not forget closing parent ticket once #5624 is also closed.

#4 - 05/12/2018 08:01 PM - Andreas Miiller

- Private changed from Yes to No

#5 - 06/28/2018 12:11 AM - Andreas Miiller

- Target version changed from Release 5.1 to Release 5.2

#6 - 08/17/2018 03:54 PM - Andreas Miiller

- Target version changed from Release 5.2 to Release 5.3
#7 - 08/21/2018 12:33 PM - Katja Luther

now for users and groups there is a check for identical names and a message that the user/group already exists, pops up.

#8 - 08/21/2018 12:46 PM - Katja Luther
- Status changed from In Progress to Resolved

- Assignee changed from Katja Luther to Andreas Mdiller

please review

#9 - 08/21/2018 12:46 PM - Katja Luther
- % Done changed from 0 to 80

#10 - 09/05/2018 01:59 PM - Andreas Miiller
- Status changed from Resolved to Closed
- Assignee changed from Andreas Miiller to Katja Luther

- % Done changed from 80 to 100

Works fine
